# Interface BasicWallet

#### Hierarchy

- BasicWallet
  - PaymailWallet

- Defined in types.ts:34

#####
Index

### Methods

authenticate
getChangeOutputScript
getSpendableBalance
isAuthenticated
sendToBitcoinAddress

## Methods

### authenticate

- authenticate(): Promise<void>

- The method implementation should force the user to authenticate themselves (most likely a redirect or popup of some kind).

  This does NOT guarantee that the user is authenticated

  #### Returns Promise<void>

  - Defined in types.ts:43

### getChangeOutputScript

- getChangeOutputScript(): Promise<Uint8Array>

- #### Returns Promise<Uint8Array>

  - Defined in types.ts:56

### getSpendableBalance

- getSpendableBalance(): Promise<number>

- #### Returns Promise<number>

  - Defined in types.ts:45

### isAuthenticated

- isAuthenticated(): Promise<boolean>

- #### Returns Promise<boolean>

  - Defined in types.ts:35

### sendToBitcoinAddress

- sendToBitcoinAddress(destinationAddress: string, amountSatoshis: number): Promise<Utxo>

- #### Parameters

  - ##### destinationAddress: string

  - ##### amountSatoshis: number

  #### Returns Promise<Utxo>

  - Defined in types.ts:47

Generated using TypeDoc